#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    conjure_object::private::DeriveWith,
    Copy
)]
#[serde(crate = "conjure_object::serde")]
#[derive_with(PartialEq, Eq, PartialOrd, Ord, Hash)]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct BandStopConfiguration {
    #[serde(rename = "lowStopbandFrequency")]
    #[derive_with(with = conjure_object::private::DoubleWrapper)]
    low_stopband_frequency: f64,
    #[serde(rename = "highStopbandFrequency")]
    #[derive_with(with = conjure_object::private::DoubleWrapper)]
    high_stopband_frequency: f64,
}
impl BandStopConfiguration {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(low_stopband_frequency: f64, high_stopband_frequency: f64) -> Self {
        Self::builder()
            .low_stopband_frequency(low_stopband_frequency)
            .high_stopband_frequency(high_stopband_frequency)
            .build()
    }
    #[inline]
    pub fn low_stopband_frequency(&self) -> f64 {
        self.low_stopband_frequency
    }
    #[inline]
    pub fn high_stopband_frequency(&self) -> f64 {
        self.high_stopband_frequency
    }
}
